searchData={"items":[{"type":"module","title":"LiveViewNativeFlutter","doc":"","ref":"LiveViewNativeFlutter.html"},{"type":"function","title":"LiveViewNativeFlutter.platforms/0","doc":"","ref":"LiveViewNativeFlutter.html#platforms/0"},{"type":"module","title":"LiveViewNativeFlutter.Dart","doc":"Provides commands for executing Flutter operations on the client.\n\nInspired & partially copied from Phoenix.LiveView.JS","ref":"LiveViewNativeFlutter.Dart.html"},{"type":"function","title":"LiveViewNativeFlutter.Dart.hide/1","doc":"Hides elements.","ref":"LiveViewNativeFlutter.Dart.html#hide/1"},{"type":"function","title":"Options - LiveViewNativeFlutter.Dart.hide/1","doc":"* `:to` - The optional DOM selector to hide.\n    Defaults to the interacted element.\n  * `:transition` - The string of classes to apply before hiding or\n    a 3-tuple containing the transition class, the class to apply\n    to start the transition, and the ending transition class, such as:\n    `{\"ease-out duration-300\", \"opacity-100\", \"opacity-0\"}`\n  * `:time` - The time to apply the transition from `:transition`.\n    Defaults 200\n\nDuring the process, the following events will be dispatched to the hidden elements:\n\n  * When the action is triggered on the client, `phx:hide-start` is dispatched.\n  * After the time specified by `:time`, `phx:hide-end` is dispatched.","ref":"LiveViewNativeFlutter.Dart.html#hide/1-options"},{"type":"function","title":"Examples - LiveViewNativeFlutter.Dart.hide/1","doc":"My Item \n\n     \n      hide!\n     \n\n     \n      hide fancy!","ref":"LiveViewNativeFlutter.Dart.html#hide/1-examples"},{"type":"function","title":"LiveViewNativeFlutter.Dart.hide/2","doc":"See `hide/1`.","ref":"LiveViewNativeFlutter.Dart.html#hide/2"},{"type":"function","title":"LiveViewNativeFlutter.Dart.push/1","doc":"Pushes an event to the server.\n\n  * `event` - The string event name to push.","ref":"LiveViewNativeFlutter.Dart.html#push/1"},{"type":"function","title":"Options - LiveViewNativeFlutter.Dart.push/1","doc":"* `:target` - The selector or component ID to push to. This value will\n    overwrite any `phx-target` attribute present on the element.","ref":"LiveViewNativeFlutter.Dart.html#push/1-options"},{"type":"function","title":"Examples - LiveViewNativeFlutter.Dart.push/1","doc":"click me!","ref":"LiveViewNativeFlutter.Dart.html#push/1-examples"},{"type":"function","title":"LiveViewNativeFlutter.Dart.push/2","doc":"See `push/1`.","ref":"LiveViewNativeFlutter.Dart.html#push/2"},{"type":"function","title":"LiveViewNativeFlutter.Dart.push/3","doc":"See `push/1`.","ref":"LiveViewNativeFlutter.Dart.html#push/3"},{"type":"function","title":"LiveViewNativeFlutter.Dart.save_current_theme/0","doc":"","ref":"LiveViewNativeFlutter.Dart.html#save_current_theme/0"},{"type":"function","title":"LiveViewNativeFlutter.Dart.save_current_theme/1","doc":"Saves the current theme in the local storage of the app.\nWhen the app boots, the theme stored will be used","ref":"LiveViewNativeFlutter.Dart.html#save_current_theme/1"},{"type":"function","title":"Examples - LiveViewNativeFlutter.Dart.save_current_theme/1","doc":"Dart.save_current_theme()","ref":"LiveViewNativeFlutter.Dart.html#save_current_theme/1-examples"},{"type":"function","title":"LiveViewNativeFlutter.Dart.show/1","doc":"","ref":"LiveViewNativeFlutter.Dart.html#show/1"},{"type":"function","title":"LiveViewNativeFlutter.Dart.show/2","doc":"See `show/1`.","ref":"LiveViewNativeFlutter.Dart.html#show/2"},{"type":"function","title":"LiveViewNativeFlutter.Dart.switch_theme/1","doc":"Switches the app theme, the app theme is not saved locally, please see save_theme for saving the current theme.\n\n  * `theme` (optional) - The theme to switch to (the default theme is named \"default\")\n  * `mode` - light / dark / system The mode to switch the theme to (the default mode is \"light\")","ref":"LiveViewNativeFlutter.Dart.html#switch_theme/1"},{"type":"function","title":"Examples - LiveViewNativeFlutter.Dart.switch_theme/1","doc":"Dart.switch_theme(\"dark\")\n    Dart.switch_theme(\"default\", \"dark\")\n    Dart.switch_theme(\"default\", \"system\")","ref":"LiveViewNativeFlutter.Dart.html#switch_theme/1-examples"},{"type":"function","title":"LiveViewNativeFlutter.Dart.switch_theme/2","doc":"","ref":"LiveViewNativeFlutter.Dart.html#switch_theme/2"},{"type":"function","title":"LiveViewNativeFlutter.Dart.switch_theme/3","doc":"","ref":"LiveViewNativeFlutter.Dart.html#switch_theme/3"},{"type":"opaque","title":"LiveViewNativeFlutter.Dart.t/0","doc":"","ref":"LiveViewNativeFlutter.Dart.html#t:t/0"},{"type":"module","title":"LiveViewNativeFlutter.Modifiers.MaterialIcon","doc":"","ref":"LiveViewNativeFlutter.Modifiers.MaterialIcon.html"},{"type":"function","title":"LiveViewNativeFlutter.Modifiers.MaterialIcon.changeset/2","doc":"","ref":"LiveViewNativeFlutter.Modifiers.MaterialIcon.html#changeset/2"},{"type":"function","title":"LiveViewNativeFlutter.Modifiers.MaterialIcon.fields/0","doc":"","ref":"LiveViewNativeFlutter.Modifiers.MaterialIcon.html#fields/0"},{"type":"function","title":"LiveViewNativeFlutter.Modifiers.MaterialIcon.modifier/2","doc":"","ref":"LiveViewNativeFlutter.Modifiers.MaterialIcon.html#modifier/2"},{"type":"function","title":"LiveViewNativeFlutter.Modifiers.MaterialIcon.modifier_name/0","doc":"","ref":"LiveViewNativeFlutter.Modifiers.MaterialIcon.html#modifier_name/0"},{"type":"function","title":"LiveViewNativeFlutter.Modifiers.MaterialIcon.params/1","doc":"","ref":"LiveViewNativeFlutter.Modifiers.MaterialIcon.html#params/1"},{"type":"function","title":"LiveViewNativeFlutter.Modifiers.MaterialIcon.to_map/1","doc":"","ref":"LiveViewNativeFlutter.Modifiers.MaterialIcon.html#to_map/1"},{"type":"module","title":"LiveViewNativeFlutter.Platform","doc":"","ref":"LiveViewNativeFlutter.Platform.html"},{"type":"module","title":"LiveViewNativeFlutter.Types.MaterialIcon","doc":"","ref":"LiveViewNativeFlutter.Types.MaterialIcon.html"},{"type":"function","title":"LiveViewNativeFlutter.Types.MaterialIcon.cast/1","doc":"","ref":"LiveViewNativeFlutter.Types.MaterialIcon.html#cast/1"},{"type":"function","title":"LiveViewNativeFlutter.Types.MaterialIcon.dump/1","doc":"","ref":"LiveViewNativeFlutter.Types.MaterialIcon.html#dump/1"},{"type":"function","title":"LiveViewNativeFlutter.Types.MaterialIcon.embed_as/1","doc":"","ref":"LiveViewNativeFlutter.Types.MaterialIcon.html#embed_as/1"},{"type":"function","title":"LiveViewNativeFlutter.Types.MaterialIcon.equal?/2","doc":"","ref":"LiveViewNativeFlutter.Types.MaterialIcon.html#equal?/2"},{"type":"function","title":"LiveViewNativeFlutter.Types.MaterialIcon.load/1","doc":"","ref":"LiveViewNativeFlutter.Types.MaterialIcon.html#load/1"},{"type":"function","title":"LiveViewNativeFlutter.Types.MaterialIcon.type/0","doc":"","ref":"LiveViewNativeFlutter.Types.MaterialIcon.html#type/0"},{"type":"module","title":"LiveViewNativeFlutter.Utils","doc":"","ref":"LiveViewNativeFlutter.Utils.html"},{"type":"function","title":"LiveViewNativeFlutter.Utils.encode_key/1","doc":"","ref":"LiveViewNativeFlutter.Utils.html#encode_key/1"}],"content_type":"text/markdown"}